Subject: [AVTCORE] I-D Action: draft-ietf-payload-rtp-jpegxs-04.txt

From: [email-masked]
Date: Wed, 29 Jul 2020 04:47:34 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Audio/Video Transport Core Maintenance WG of the IETF.

        Title           : RTP Payload Format for ISO/IEC 21122 (JPEG XS)
        Authors         : Sébastien Lugan
                          Antonin Descampe
                          Corentin Damman
                          Thomas Richter
                          Alexandre Willeme
	Filename        : draft-ietf-payload-rtp-jpegxs-04.txt
	Pages           : 27
	Date            : 2020-07-29

Abstract:
   This document specifies a Real-Time Transport Protocol (RTP) payload
   format to be used for transporting JPEG XS (ISO/IEC 21122) encoded
   video.  JPEG XS is a low-latency, lightweight image coding system.
   Compared to an uncompressed video use case, it allows higher
   resolutions and frame rates, while offering visually lossless
   quality, reduced power consumption, and end-to-end latency confined
   to a fraction of a frame.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-payload-rtp-jpegxs/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-payload-rtp-jpegxs-04
https://datatracker.ietf.org/doc/html/draft-ietf-payload-rtp-jpegxs-04

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-payload-rtp-jpegxs-04

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Antonin Descampe <[email-masked]>
Date: Wed, 29 Jul 2020 11:53:14 +0000

Dear all,

As the notification you received indicates, a new version of the RTP payload format for ISO/IEC 21122 (JPEG XS) has been submitted.

Compared to version 3, a number of changes have been brought to the document, which I summarise hereunder:

* Section 3.4:  In case of interlaced frames, video support box and color spec box are now duplicated in front of each field: although the boxes are the same for both fields, it simplifies implementation and the overhead is negligible. For this purpose, we did define a « JPEG XS picture segment » as the concatenation of a VS box, a CS box and a JPEG XS codestream.
* Section 4.1: we added some suggestions about the usage of padding data or empty RTP packets in case the slice packetization mode is used.
* Section 4.3: In the interlace scenario, we renamed « interlace_mode » field in payload header to « interlace_information »  to distinguish it from the interlace_mode of the frat field in the video information box. Note that the frat field indicates whether the first or the second field is the top field, while the interlace information in the payload header simply indicates if the payload data belongs to the first or second field. 
* Sections 4.2 and 4.3: We separated the description of the RTP header (equal to the one described in RFC3550) from the description of the payload header. This does not change the actual syntax, but it is more consistent with other RFC. It also slightly modifies the definition of packetization unit.
* Section 4.4: We added examples for the 2 transmission modes (codestream/slice) and the 2 scanning cases (progressive/interlace) => 4 examples in total
* Section 6.1: We renamed the required parameter « transmission mode » to « transmode » to avoid white space
* Section 6.2.1: note added indicating that in case of discrepancy between parameters found in the payload and in the SDP fields, parameters from the payload shall prevail.
* Section 6.2.2: transmode parameter has been moved to the fmtp parameter line (comment from Jonathan Lennox).
* References have been updated

There is still an ongoing work on Section 6.1 (Media Type Definition) and 6.2 (SDP mapping) as the parameters signalling needs to be made consistent with the signalling found in the boxes included in the payload data (JPEG XS header segment). A note has already been added indicating the precedence of payload parameters over SDP parameters, as mentioned above. In any case, This is currently being solved but we wanted to already provide this new version.

Please provide your comments or questions, if any.

Kind regards,

Antonin 

> Le 29 juil. 2020 à 13:47, [email-masked] a écrit :
> 
> 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dietf-2Dpayload-2Drtp-2Djpegxs_&d=DwIGaQ&c=euGZstcaTDllvimEN8b7jXrwqOf-v5A_CdpgnVfiiMM&r=WQOeNxfS7RKBxTlA-1zAXS3apj-ZE2eY-7uk8JqFVBI&m=fpLFy8BpkHQdQ-wqkScVPoYKBMfx-qS7VGuLS4ayj6Q&s=phJmn6JGJ5GgQkSNfjLNXbvP35B_zEQ9nALfux30nQg&e=
> 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Dpayload-2Drtp-2Djpegxs-2D04&d=DwIGaQ&c=euGZstcaTDllvimEN8b7jXrwqOf-v5A_CdpgnVfiiMM&r=WQOeNxfS7RKBxTlA-1zAXS3apj-ZE2eY-7uk8JqFVBI&m=fpLFy8BpkHQdQ-wqkScVPoYKBMfx-qS7VGuLS4ayj6Q&s=-rMgtUv8AiJg5wWzKPg19K9B4xvgq2cdthwC3Zl0Lh4&e=
> https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_html_draft-2Dietf-2Dpayload-2Drtp-2Djpegxs-2D04&d=DwIGaQ&c=euGZstcaTDllvimEN8b7jXrwqOf-v5A_CdpgnVfiiMM&r=WQOeNxfS7RKBxTlA-1zAXS3apj-ZE2eY-7uk8JqFVBI&m=fpLFy8BpkHQdQ-wqkScVPoYKBMfx-qS7VGuLS4ayj6Q&s=ScCQqW9jErRwfDC0jK_5ax1R5UrZJS0DA2YF_bUg2nY&e=
> 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_rfcdiff-3Furl2-3Ddraft-2Dietf-2Dpayload-2Drtp-2Djpegxs-2D04&d=DwIGaQ&c=euGZstcaTDllvimEN8b7jXrwqOf-v5A_CdpgnVfiiMM&r=WQOeNxfS7RKBxTlA-1zAXS3apj-ZE2eY-7uk8JqFVBI&m=fpLFy8BpkHQdQ-wqkScVPoYKBMfx-qS7VGuLS4ayj6Q&s=qugty0Ehyx5uTvCx_oE03_7BtudWFNJknIJIAbfy42c&e=
> 
> 
> until the htmlized version and diff are available at https://urldefense.proofpoint.com/v2/url?u=http-3A__tools.ietf.org&d=DwIGaQ&c=euGZstcaTDllvimEN8b7jXrwqOf-v5A_CdpgnVfiiMM&r=WQOeNxfS7RKBxTlA-1zAXS3apj-ZE2eY-7uk8JqFVBI&m=fpLFy8BpkHQdQ-wqkScVPoYKBMfx-qS7VGuLS4ayj6Q&s=ZGdREdUeBPij5z6irImOIhtXIndFxIeRvtoGdoF5M6Y&e=.
> 
> https://urldefense.proofpoint.com/v2/url?u=ftp-3A__ftp.ietf.org_internet-2Ddrafts_&d=DwIGaQ&c=euGZstcaTDllvimEN8b7jXrwqOf-v5A_CdpgnVfiiMM&r=WQOeNxfS7RKBxTlA-1zAXS3apj-ZE2eY-7uk8JqFVBI&m=fpLFy8BpkHQdQ-wqkScVPoYKBMfx-qS7VGuLS4ayj6Q&s=kcX_a1hCaSsQur5qVyaP7Ul9Rh8jNKkKG0YkUfqCjhM&e=
> 
> 
> _______________________________________________
> Audio/Video Transport Core Maintenance
> [email-masked]
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_avt&d=DwIGaQ&c=euGZstcaTDllvimEN8b7jXrwqOf-v5A_CdpgnVfiiMM&r=WQOeNxfS7RKBxTlA-1zAXS3apj-ZE2eY-7uk8JqFVBI&m=fpLFy8BpkHQdQ-wqkScVPoYKBMfx-qS7VGuLS4ayj6Q&s=5g6ctk5X8mz1uQPi9dxYqDSpXloDjBvVoEE5qFs-bxQ&e=